> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Document



## OpenAPI

````yaml api-reference/openapi-utilities.json POST /document
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Utilities
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /document:
    post:
      tags:
        - Document
      summary: Create a Document
      requestBody:
        content:
          application/json:
            examples:
              example:
                summary: Example
                value:
                  fields:
                    date_of_birth: '1980-03-15'
                  file_id: file_567890
                  name: California Drivers License
                  type: drivers_license
            schema:
              properties:
                bankdata:
                  description: Optional arbitrary data the bank can attach to the object
                  type: object
                fields:
                  description: Object representing the data encoded in the Document
                  type: object
                file_id:
                  description: The unique ID for an attached File
                  type: string
                name:
                  description: A descriptive name for the document
                  type: string
                type:
                  description: >-
                    One of: `drivers_license`, `military_id`, `passport`,
                    `state_id`, `other`
                  type: string
                userdata:
                  description: Optional arbitrary data the user can attach to the object
                  type: object
              required:
                - type
                - id
        description: The document to create
        required: true
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    bankdata: {}
                    created_at: '2021-03-25T21:31:50Z'
                    fields:
                      date_of_birth: '1980-03-15'
                    file_id: file_567890
                    id: doc_123456
                    name: California Drivers License
                    type: drivers_license
                    updated_at: '2021-03-25T21:31:50Z'
                    userdata: {}
              schema:
                properties:
                  bank_id:
                    description: ID of the bank with which the object is associated
                    type: string
                  bankdata:
                    description: Optional arbitrary data the bank can attach to the object
                    type: object
                  description:
                    deprecated: true
                    description: Description (deprecated)
                    type: string
                  fields:
                    description: Object representing the data encoded in the Document
                    type: object
                  file_id:
                    description: The unique ID for an attached File
                    type: string
                  id:
                    description: Unique identifier for object
                    type: string
                  name:
                    description: A descriptive name for the document
                    type: string
                  org_id:
                    description: ID of the organization with which the object is associated
                    type: string
                  type:
                    description: >-
                      One of: `drivers_license`, `military_id`, `passport`,
                      `state_id`, `other`
                    type: string
                  userdata:
                    description: Optional arbitrary data the user can attach to the object
                    type: object
          description: The document created
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````